import { delReq, getReq, postReq, putReq } from '@/utils';

function getJobsApi(data) {
    return getReq('/api/v1/jobs', data);
}

function addJobsApi(data) {
    return postReq('/api/v1/jobs', data);
}

function updateJobsApi(data) {
    return putReq('/api/v1/jobs', data);
}

function getOrganizationListApi(data) {
    return getReq('/api/v1/organizations', data);
}

function getOrganizationDetailsApi(id) {
    return getReq(`/api/v1/organizations/${id}`);
}

function addOrgApi(data) {
    return postReq('/api/v1/organizations', data);
}

function updateOrgApi(data) {
    return putReq('/api/v1/organizations', data);
}

export default {
    addJobs: addJobsApi,
    updateJobs: updateJobsApi,
    getOrganizationList: getOrganizationListApi,
    getJobs: getJobsApi,
    getOrganizationDetails: getOrganizationDetailsApi,
    addOrg: addOrgApi,
    updateOrg: updateOrgApi,
};
